%define	upstream_name	 File-MMagic
%define	upstream_version 1.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Guess file type from filename and/or filehandle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This perl library uses perl5 objects to guess file type from filename and/or
filehandle.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc COPYING ChangeLog META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.290.0-2.mga3
+ Revision: 367268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.290.0-1.mga3
+ Revision: 270274
- update to 1.29

* Thu Jul 05 2012 jquelin <jquelin> 1.280.0-1.mga3
+ Revision: 268148
- update to 1.28

* Tue Jan 18 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 22420
- cleaning spec file
- imported package perl-File-MMagic

